NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_shutdown(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_shutdown - Shut down NaviServer

## Table Of Contents

## Synopsis

- ns_shutdown ?timeout?

## Description

This command shuts down the server. If timeout is not specified a default value (normally 20) is used; if it is specified, it should be an integer >= 0. The server will wait for up to the specified (or default) number of seconds for existing connections to finish processing. If this time limit is exceeded then existing connections are immediately stopped.

## COMMANDS

ns_shutdown ?timeout?

  timeout How long to wait before shuting down the server

## EXAMPLES

       ns_shutdown
       ns_shutdown 30

## See Also

nsd